"""
More info is available here:
https://forums.codemasters.com/topic/54423-f1%C2%AE-2020-udp-specification/
"""
#
# PACKET_MAPPER = {
#     'PacketCarTelemetryData': 'telemetry',
#     'PacketLapData': 'lap',
#     'PacketMotionData': 'motion',
#     'PacketSessionData': 'session',
#     'PacketCarStatusData': 'status',
#     'PacketCarSetupData': 'setup',
#     'PacketParticipantsData': 'participants',
#     'PacketCarDamageData': 'damage',
#
# }
# HEADER_FIELD_TO_PACKET_TYPE = {
#     (2021, 1, 0): PacketMotionData,
#     (2021, 1, 1): PacketSessionData,
#     (2021, 1, 2): PacketLapData,
#     (2021, 1, 3): PacketEventData,
#     (2021, 1, 4): PacketParticipantsData,
#     (2021, 1, 5): PacketCarSetupData,
#     (2021, 1, 6): PacketCarTelemetryData,
#     (2021, 1, 7): PacketCarStatusData,
#     (2021, 1, 8): PacketFinalClassificationData,
#     (2021, 1, 9): PacketLobbyInfoData,
#     (2021, 1, 10): PacketCarDamageData,
#     (2021, 1, 11): PacketSessionHistoryData,
# }

TYRE_COMPOUND = {
    16: 'C5',  # super soft
    17: 'C4',
    18: 'C3',
    19: 'C2',
    20: 'C1',  # hard
    7: 'intermediates',
    8: 'wet',
    # F1 Classic
    9: 'dry',
    10: 'wet',
    # F2
    11: 'super soft',
    12: 'soft',
    13: 'medium',
    14: 'hard',
    15: 'wet',
}

WEATHER = {
    0: 'clear',
    1: 'light_cloud',
    2: 'overcast',
    3: 'light_rain',
    4: 'heavy_rain',
    5: 'storm',
}

DRIVER_STATUS = {
    0: 'in_garage',
    1: 'flying_lap',
    2: 'in_lap',
    3: 'out_lap',
    4: 'on_track',
}

SESSION_TYPE = {
    0: 'unknown',
    1: 'practice_1',
    2: 'practice_2',
    3: 'practice_3',
    4: 'short_practice',
    5: 'qualifying_1',
    6: 'qualifying_2',
    7: 'qualifying_3',
    8: 'short_qualifying',
    9: 'osq',
    10: 'race',
    11: 'race_2',
    12: 'race_3',
    13: 'time_trial',
}

TRACK_IDS = {
    0: 'Melbourne',
    1: 'Paul Ricard',
    2: 'Shanghai',
    3: 'Sakhir (Bahrain)',
    4: 'Catalunya',
    5: 'Monaco',
    6: 'Montreal',
    7: 'Silverstone',
    8: 'Hockenheim',
    9: 'Hungaroring',
    10: 'Spa',
    11: 'Monza',
    12: 'Singapore',
    13: 'Suzuka',
    14: 'Abu Dhabi',
    15: 'Texas',
    16: 'Brazil',
    17: 'Austria',
    18: 'Sochi',
    19: 'Mexico',
    20: 'Baku (Azerbaijan)',
    21: 'Sakhir Short',
    22: 'Silverstone Short',
    23: 'Texas Short',
    24: 'Suzuka Short',
    25: 'Hanoi',
    26: 'Zandvoort',
    27: 'Imola',
    28: 'Portimão',
    29: 'Jeddah'
}

DRIVERS = {
    0: 'Carlos Sainz',
    1: 'Daniil Kvyat',
    2: 'Daniel Ricciardo',
    3: 'Fernando Alonso',
    4: 'Felipe Massa',
    6: 'Kimi Räikkönen',
    7: 'Lewis Hamilton',
    9: 'Max Verstappen',
    10: 'Nico Hulkenburg',
    11: 'Kevin Magnussen',
    12: 'Romain Grosjean',
    13: 'Sebastian Vettel',
    14: 'Sergio Perez',
    15: 'Valtteri Bottas',
    17: 'Esteban Ocon',
    19: 'Lance Stroll',
    20: 'Arron Barnes',
    21: 'Martin Giles',
    22: 'Alex Murray',
    23: 'Lucas Roth',
    24: 'Igor Correia',
    25: 'Sophie Levasseur',
    26: 'Jonas Schiffer',
    27: 'Alain Forest',
    28: 'Jay Letourneau',
    29: 'Esto Saari',
    30: 'Yasar Atiyeh',
    31: 'Callisto Calabresi',
    32: 'Naota Izum',
    33: 'Howard Clarke',
    34: 'Wilheim Kaufmann',
    35: 'Marie Laursen',
    36: 'Flavio Nieves',
    37: 'Peter Belousov',
    38: 'Klimek Michalski',
    39: 'Santiago Moreno',
    40: 'Benjamin Coppens',
    41: 'Noah Visser',
    42: 'Gert Waldmuller',
    43: 'Julian Quesada',
    44: 'Daniel Jones',
    45: 'Artem Markelov',
    46: 'Tadasuke Makino',
    47: 'Sean Gelael',
    48: 'Nyck De Vries',
    49: 'Jack Aitken',
    50: 'George Russell',
    51: 'Maximilian Günther',
    52: 'Nirei Fukuzumi',
    53: 'Luca Ghiotto',
    54: 'Lando Norris',
    55: 'Sérgio Sette Câmara',
    56: 'Louis Delétraz',
    57: 'Antonio Fuoco',
    58: 'Charles Leclerc',
    59: 'Pierre Gasly',
    62: 'Alexander Albon',
    63: 'Nicholas Latifi',
    64: 'Dorian Boccolacci',
    65: 'Niko Kari',
    66: 'Roberto Merhi',
    67: 'Arjun Maini',
    68: 'Alessio Lorandi',
    69: 'Ruben Meijer',
    70: 'Rashid Nair',
    71: 'Jack Tremblay',
    72: 'Devon Butler',
    73: 'Lukas Weber',
    74: 'Antonio Giovinazzi',
    75: 'Robert Kubica',
    76: 'Alain Prost',
    77: 'Ayrton Senna',
    78: 'Nobuharu Matsushita',
    79: 'Nikita Mazepin',
    80: 'Guanya Zhou',
    81: 'Mick Schumacher',
    82: 'Callum Ilott',
    83: 'Juan Manuel Correa',
    84: 'Jordan King',
    85: 'Mahaveer Raghunathan',
    86: 'Tatiana Calderon',
    87: 'Anthoine Hubert',
    88: 'Guiliano Alesi',
    89: 'Ralph Boschung',
    90: 'Michael Schumacher',
    91: 'Dan Ticktum',
    92: 'Marcus Armstrong',
    93: 'Christian Lundgaard',
    94: 'Yuki Tsunoda',
    95: 'Jehan Daruvala',
    96: 'Gulherme Samaia',
    97: 'Pedro Piquet',
    98: 'Felipe Drugovich',
    99: 'Robert Schwartzman',
    100: 'Roy Nissany',
    101: 'Marino Sato',
    102: 'Aidan Jackson',
    103: 'Casper Akkerman',
    109: 'Jenson Button',
    110: 'David Coulthard',
    111: 'Nico Rosberg',
}

TEAMS = {
    0: 'Mercedes',
    1: 'Ferrari',
    2: 'Red Bull Racing',
    3: 'Williams',
    4: 'Aston Martin',
    5: 'Alpine',
    6: 'Alpha Tauri',
    7: 'Haas',
    8: 'McLaren',
    9: 'Alfa Romeo',
    42: 'Art GP ’19',
    43: 'Campos ’19',
    44: 'Carlin ’19',
    45: 'Sauber Junior Charouz ’19',
    46: 'Dams ’19',
    47: 'Uni-Virtuosi ‘19',
    48: 'MP Motorsport ‘19',
    49: 'Prema ’19',
    50: 'Trident ’19',
    51: 'Arden ’19',
    70: 'Art GP ‘20',
    71: 'Campos ‘20',
    72: 'Carlin ‘20',
    73: 'Charouz ‘20',
    74: 'Dams ‘20',
    75: 'Uni-Virtuosi ‘20',
    76: 'MP Motorsport ‘20',
    77: 'Prema ‘20',
    78: 'Trident ‘20',
    79: 'BWT ‘20',
    80: 'Hitech ‘20',
    85: 'Mercedes 2020',
    86: 'Ferrari 2020',
    87: 'Red Bull 2020',
    88: 'Williams 2020',
    89: 'Racing Point 2020',
    90: 'Renault 2020',
    91: 'Alpha Tauri 2020',
    92: 'Haas 2020',
    93: 'McLaren 2020',
    94: 'Alfa Romeo 2020',
}
